## chromium-browser 43.0.2357.65

=== debian/changelog ===
chromium-browser (43.0.2357.65-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1252: Sandbox escape in Chrome. Credit to anonymous.
    - CVE-2015-1253: Cross-origin bypass in DOM. Credit to anonymous.
    - CVE-2015-1254: Cross-origin bypass in Editing. Credit to
      armin@rawsec.net.
    - CVE-2015-1255: Use-after-free in WebAudio. Credit to Khalil Zhani.
    - CVE-2015-1256: Use-after-free in SVG. Credit to Atte Kettunen.
    - CVE-2015-1251: Use-after-free in Speech. Credit to SkyLined.
    - CVE-2015-1257: Container-overflow in SVG. Credit to miaubiz.
    - CVE-2015-1258: Negative-size parameter in Libvpx.  Credit to cloudfuzzer
    - CVE-2015-1259: Uninitialized value in PDFium. Credit to Atte Kettunen.
    - CVE-2015-1260: Use-after-free in WebRTC. Credit to Khalil Zhani.
    - CVE-2015-1261: URL bar spoofing. Credit to Juho Nurminen.
    - CVE-2015-1262: Uninitialized value in Blink. Credit to miaubiz.
    - CVE-2015-1263: Insecure download of spellcheck dictionary.  Credit to
      Mike Ruddy.
    - CVE-2015-1264: Cross-site scripting in bookmarks. Credit to K0r3Ph1L.
    - Fix for gzip file downloading (closes: #677948).
    - Fix for bookmark navigation (closes: #756211).
  * Enable HiDPI (closes: #763421).
  * Make chromium-l10n binnmuable.
  * Fix Built-Using fields.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 22:37:06 +0000

chromium-browser (42.0.2311.135-2) unstable; urgency=medium

  * Remove src/ prefix in debian/copyright.
  * Fix path to default configuration files.
  * Describe omnibox search in README.debian (closes: 781591).
  * Fix application name in the launcher script (closes: #783858).
  * Set CHROME_WRAPPER to /usr/bin/chromium by default (closes: #783097).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 May 2015 14:53:34 +0000

chromium-browser (42.0.2311.135-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * Remove some unneeded files from the upstream tarball.
  * Move default configuration files to /usr/share/chromium.
  * New upstream stable release:
    - CVE-2015-1243: Use-after-free in DOM. Credit to Saif El-Sherei.
    - CVE-2015-1250: Various fixes from internal audits, fuzzing and other
      initiatives.

  [ Shawn Landden ]
  * Suppress first run welcome page.
  * Turn off safebrowsing.
  * Turn off pinging Google on 404 and other HTTP errors.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 30 Apr 2015 01:08:53 +0000

chromium-browser (42.0.2311.90-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop some unused patches.
  * Drop chromium-inspector package.
  * Remove Giuseppe from the uploaders.
    - Many thanks for the prior contributions.
  * Fix built on text (closes: #782052).
  * Fix path to master_preferences (closes: #777708).
  * Disable default browser warning (closes: #777265).
  * Conflict with libgl1-mesa-swx11 (closes: #776388).
  * Add MHTML mimetype to chromium.desktop (closes: #769039).
  * Tighten chromium-l10n versioned dependency (closes: #781505).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 26 Apr 2015 18:49:52 +0000

chromium-browser (42.0.2311.90-1) unstable; urgency=medium

  * New upstream stable release:
    - CVE-2015-1235: Cross-origin-bypass in HTML parser. Credit to anonymous.
    - CVE-2015-1236: Cross-origin-bypass in Blink. Credit to Amitay Dobo.
    - CVE-2015-1237: Use-after-free in IPC. Credit to Khalil Zhani.
    - CVE-2015-1238: Out-of-bounds write in Skia. Credit to cloudfuzzer.
    - CVE-2015-1240: Out-of-bounds read in WebGL. Credit to w3bd3vil.
    - CVE-2015-1241: Tap-Jacking. Credit to Phillip Moon and Matt Weston.
    - CVE-2015-1242: Type confusion in V8. Credit to fcole@onshape.com.
    - CVE-2015-1244: HSTS bypass in WebSockets. Credit to Mike Ruddy.
    - CVE-2015-1245: Use-after-free in PDFium. Credit to Khalil Zhani.
    - CVE-2015-1246: Out-of-bounds read in Blink. Credit to Atte Kettunen.
    - CVE-2015-1247: Scheme issues in OpenSearch. Credit to Jann Horn.
    - CVE-2015-1248: SafeBrowsing bypass. Credit to Vittorio Gambaletta.
    - CVE-2015-1249: Various fixes from internal audits, fuzzing and other
      initiatives.  Also multiple issues in v8 4.2.77.14.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Apr 2015 00:12:00 +0000
