=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	libexif-dev,
 	libgcrypt-dev,
 	libkrb5-dev,
+	libxkbcommon-dev,
 	libssl-dev,
 	chrpath,
 	gcc-4.8,
