=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 GYP_DEFINES += enable_touch_ui=1
 
 # add support and stubbed implementation of widevine (needed for EME)
-GYP_DEFINES += enable_widevine=1
+GYP_DEFINES += enable_widevine=1 enable_pepper_cdms=1
 
 # Prefer gcc/g++ over clang until clang is better tested in Ubuntu.
 GYP_DEFINES += clang=0
