=== debian/tests/control ===
Tests: smoketest
Depends: xvfb, bash, python3-minimal, unity-chromium-extension,
  libsikuli-script-java, metacity, x11-apps, python3-httplib2,
  dbus-x11
