=== debian/control ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	libexif-dev,
 	libgcrypt-dev,
 	libkrb5-dev,
-	libxkbcommon-dev,
 	libssl-dev,
 	chrpath,
 	gcc-4.8,
@@ -48,7 +47,7 @@
 	bash (>= 4),
 	libnss3,
 	xdg-utils,
-	chromium-codecs-ffmpeg-extra (>= 0.6) | chromium-codecs-ffmpeg (>= 0.6)
+	chromium-codecs-ffmpeg-extra (= ${binary:Version}) | chromium-codecs-ffmpeg (= ${binary:Version})
 Recommends: chromium-browser-l10n
 Suggests: webaccounts-chromium-extension,
 	unity-chromium-extension,
@@ -89,8 +88,8 @@
 Architecture: armhf armel i386 amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chromium-codecs-ffmpeg-extra
-Replaces: chromium-codecs-ffmpeg-extra
+Conflicts: chromium-codecs-ffmpeg-extra, chromium-browser (<< 44)
+Replaces: chromium-codecs-ffmpeg-extra, chromium-browser (<< 44)
 Description: Free ffmpeg codecs for the Chromium Browser
  An open-source browser project that aims to build a safer, faster, and more
  stable way for all Internet users to experience the web.
@@ -105,8 +104,8 @@
 Priority: extra
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}, chromium-codecs-ffmpeg (= ${binary:Version})
-Conflicts: chromium-codecs-ffmpeg-extra-dbg
-Replaces: chromium-codecs-ffmpeg-extra-dbg
+Conflicts: chromium-codecs-ffmpeg-extra-dbg, chromium-browser-dbg (<< 44)
+Replaces: chromium-codecs-ffmpeg-extra-dbg, chromium-browser-dbg (<< 44)
 Description: chromium-codecs-ffmpeg debug symbols
  Debug symbols for the free ffmpeg-mt codecs
 
@@ -114,8 +113,8 @@
 Architecture: armhf armel i386 amd64
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: chromium-codecs-ffmpeg
-Replaces: chromium-codecs-ffmpeg
+Conflicts: chromium-codecs-ffmpeg, chromium-browser (<< 44)
+Replaces: chromium-codecs-ffmpeg, chromium-browser (<< 44)
 Description: Extra ffmpeg codecs for the Chromium Browser
  An open-source browser project that aims to build a safer, faster, and more
  stable way for all Internet users to experience the web.
@@ -131,8 +130,8 @@
 Priority: extra
 Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}, chromium-codecs-ffmpeg-extra (= ${binary:Version})
-Conflicts: chromium-codecs-ffmpeg-dbg
-Replaces: chromium-codecs-ffmpeg-dbg
+Conflicts: chromium-codecs-ffmpeg-dbg, chromium-browser-dbg (<< 44)
+Replaces: chromium-codecs-ffmpeg-dbg, chromium-browser-dbg (<< 44)
 Description: chromium-codecs-ffmpeg-extra debug symbols
  Debug symbols for the extra ffmpeg-mt codecs
