=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 GYP_PARAMS := --depth=$(CURDIR) --format=ninja
 
 BROWSER_GYP_DEFINES =
-FFMPEG_MT_GYP_DEFINES =
+FFMPEG_GYP_DEFINES =
 GYP_DEFINES =
 
 # Build the launchpad translations (already landed upstream)
@@ -147,7 +147,7 @@
 
 ifeq (1,$(COMPONENT_SHARED_LIB_BUILD))
 BROWSER_GYP_DEFINES += component=shared_library
-FFMPEG_MT_GYP_DEFINES += component=shared_library
+FFMPEG_GYP_DEFINES += component=shared_library
 endif
 
 # Webkit library is enormous. Exclude for now.
@@ -170,6 +170,7 @@
 GYP_DEFINES += logging_like_official_build=1
 endif
 
+BUILD_ARGS := -v 
 BUILD_ARGS += -C $(DEB_TAR_SRCDIR)/out/$(BUILD_TYPE)
 
 # Shared libraries
@@ -190,21 +191,20 @@
 # FFmpeg-mt
 # Don't build it as part of chromium. Build it separately twice, once with
 # the Chrome branding to gain the extra codecs, and once without branding.
-# The ffmpeg_branding variable controls which codecs are built inside the sumo lib.
+# The ffmpeg_branding variable controls which codecs are built inside the ffmpeg lib.
 # By default, ffmpeg_branding equals to "Chromium" and only builds the ogg/vorbis/theora codecs.
 # When set to "Chrome", it also builds aac/ac3/mpeg4audio/h264/mov/mp3
 DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME) := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)/$(LIB_DIR)
 DEB_DH_SHLIBDEPS_ARGS_$(DEBIAN_CODECS_NAME)-extra := -l$(CURDIR)/debian/$(DEBIAN_CODECS_NAME)-extra/$(LIB_DIR)
 BROWSER_GYP_DEFINES += \
 	proprietary_codecs=1 \
-	build_ffmpegsumo=0 \
-	$(NULL)
-FFMPEG_MT_GYP_DEFINES = \
+	$(NULL)
+FFMPEG_GYP_DEFINES += \
 	use_system_vpx=0 \
 	release_extra_cflags=-g \
 	$(NULL)
-FFMPEG_MT_STD_GYP_DEFINES   = $(NULL)
-FFMPEG_MT_EXTRA_GYP_DEFINES = ffmpeg_branding=Chrome
+FFMPEG_STD_GYP_DEFINES   = $(NULL)
+FFMPEG_EXTRA_GYP_DEFINES = ffmpeg_branding=Chrome
 
 # Precise doesn't set some settings.
 ifeq (,$(filter 12.04%,$(UBUNTU_DIST)))
